Blame SOURCES/ksh-20100826-fixregr.patch

2642b8
diff -up ksh-20120801/src/cmd/ksh93/tests/builtins.sh.fixregr ksh-20120801/src/cmd/ksh93/tests/builtins.sh
2642b8
--- ksh-20120801/src/cmd/ksh93/tests/builtins.sh.fixregr	2012-07-16 17:23:56.000000000 +0200
2642b8
+++ ksh-20120801/src/cmd/ksh93/tests/builtins.sh	2012-08-08 12:29:00.733243019 +0200
2642b8
@@ -303,9 +303,9 @@ then	err_exit "printf '%..*s' not workin
2642b8
 fi
2642b8
 [[ $(printf '%q\n') == '' ]] || err_exit 'printf "%q" with missing arguments'
2642b8
 # we won't get hit by the one second boundary twice, right?
2642b8
-[[ $(printf '%T\n' now) == "$(date)" ]] ||
2642b8
-[[ $(printf '%T\n' now) == "$(date)" ]] ||
2642b8
-err_exit 'printf "%T" now'
2642b8
+[[ $(printf '%T\n' now | sed 's/GMT/UTC/') == "$(date)" ]] ||
2642b8
+[[ $(printf '%T\n' now | sed 's/GMT/UTC/') == "$(date)" ]] ||
2642b8
+err_exit 'printf "%T" now = '"$(printf '%T\n' now) != $(date)"
2642b8
 behead()
2642b8
 {
2642b8
 	read line
2642b8
diff -up ksh-20120801/src/cmd/ksh93/tests/locale.sh.fixregr ksh-20120801/src/cmd/ksh93/tests/locale.sh
2642b8
--- ksh-20120801/src/cmd/ksh93/tests/locale.sh.fixregr	2012-06-26 21:57:46.000000000 +0200
2642b8
+++ ksh-20120801/src/cmd/ksh93/tests/locale.sh	2012-08-08 12:29:20.039405240 +0200
2642b8
@@ -104,6 +104,7 @@ if	(( $($SHELL -c $'export LC_ALL='$loca
2642b8
 then	LC_ALL=$locale $SHELL -c b1=$'"\342\202\254\342\202\254\342\202\254\342\202\254w\342\202\254\342\202\254\342\202\254\342\202\254"; [[ ${b1:4:1} == w ]]' || err_exit 'multibyte ${var:offset:len} not working correctly'
2642b8
 fi
2642b8
 
2642b8
+locale=en_US.UTF-8
2642b8
 #$SHELL -c 'export LANG='$locale'; printf "\u[20ac]\u[20ac]" > $tmp/two_euro_chars.txt'
2642b8
 printf $'\342\202\254\342\202\254' > $tmp/two_euro_chars.txt
2642b8
 exp="6 2 6"
2642b8
@@ -111,11 +112,11 @@ set -- $($SHELL -c "
2642b8
 	unset LC_CTYPE
2642b8
 	export LANG=$locale
2642b8
 	export LC_ALL=C
2642b8
-	command wc -C < $tmp/two_euro_chars.txt
2642b8
+	command wc -m < $tmp/two_euro_chars.txt
2642b8
 	unset LC_ALL
2642b8
-	command wc -C < $tmp/two_euro_chars.txt
2642b8
+	command wc -m < $tmp/two_euro_chars.txt
2642b8
 	export LC_ALL=C
2642b8
-	command wc -C < $tmp/two_euro_chars.txt
2642b8
+	command wc -m < $tmp/two_euro_chars.txt
2642b8
 ")
2642b8
 got=$*
2642b8
 [[ $got == $exp ]] || err_exit "command wc LC_ALL default failed -- expected '$exp', got '$got'"
2642b8
@@ -134,6 +135,8 @@ set -- $($SHELL -c "
2642b8
 got=$*
2642b8
 [[ $got == $exp ]] || err_exit "builtin wc LC_ALL default failed -- expected '$exp', got '$got'"
2642b8
 
2642b8
+locale=C_EU.UTF-8
2642b8
+
2642b8
 # multibyte char straddling buffer boundary
2642b8
 
2642b8
 {
2642b8
@@ -190,6 +193,7 @@ do	exp=$1
2642b8
 done
2642b8
 
2642b8
 # setocale(LC_ALL,"") after setlocale() initialization
2642b8
+locale=en_US.UTF-8
2642b8
 
2642b8
 printf 'f1\357\274\240f2\n' > input1
2642b8
 printf 't2\357\274\240f1\n' > input2
2642b8
@@ -336,7 +340,7 @@ then	LC_ALL=en_US.UTF-8
2642b8
 	[[ $(print -r -- "$x") == $'hello\u[20ac]\xee world' ]] || err_exit '%q with unicode and non-unicode not working'
2642b8
 	if	[[ $(whence od) ]]
2642b8
 	then	got='68 65 6c 6c 6f e2 82 ac ee 20 77 6f 72 6c 64 0a'
2642b8
-		[[ $(print -r -- "$x" | od -An -tx1) == "$got" ]] || err_exit "incorrect string from printf %q"
2642b8
+		[[ $(print -r -- "$x" | od -An -tx1) =~ $got ]] || err_exit "incorrect string from printf %q"
2642b8
 	fi
2642b8
 	
2642b8
 fi